# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dprint"
version = "0.22.0"
authors = ["dprint code formatting <david@dprint.dev>"]
description = "Binary for dprint code formatter—a pluggable and configurable code formatting platform."
keywords = ["code-formatter", "formatter"]
categories = ["development-tools"]
license = "MIT"
repository = "https://github.com/dprint/dprint"
[dependencies.anyhow]
version = "1.0.53"

[dependencies.clap]
version = "2.33.3"

[dependencies.crossterm]
version = "0.22.1"

[dependencies.dirs]
version = "4.0.0"

[dependencies.dprint-cli-core]
version = "0.11.0"

[dependencies.dprint-core]
version = "0.50.0"
features = ["process", "wasm"]

[dependencies.dunce]
version = "1.0.2"

[dependencies.ignore]
version = "0.4.18"

[dependencies.jsonc-parser]
version = "0.19.0"

[dependencies.num_cpus]
version = "1.13.0"

[dependencies.parking_lot]
version = "0.11.2"

[dependencies.rayon]
version = "1.5.1"

[dependencies.serde]
version = "1.0.130"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.similar]
version = "2.1.0"
features = ["inline"]

[dependencies.twox-hash]
version = "1.6.2"

[dependencies.url]
version = "2.2.2"

[dependencies.wasmer]
version = "=2.1.1"

[dependencies.wild]
version = "2.0.4"

[dependencies.zip]
version = "0.5.13"
[dev-dependencies.lazy_static]
version = "1.4.0"

[dev-dependencies.path-clean]
version = "0.1.0"

[dev-dependencies.pretty_assertions]
version = "1.0.0"
[target."cfg(windows)".dependencies.winreg]
version = "0.10.1"
